Skip to main content
GET
Search Runs

Authorizations

Authorization
string
header
required

Use Tuner API key (tr_api_...) or user session token. Find your API key in Workspace Settings > API Keys.

Path Parameters

agent_id
string
required

Tuner's numeric agent ID, or your Agent ID from Agent Settings > Agent Connection. Digits-only values are read as the numeric ID.

workspace_id
integer
required

Workspace ID. Find this in Workspace > General Settings.

Query Parameters

run_status
enum<string>
required

Only return runs with this status.

Available options:
pending,
running,
analyzing,
complete,
partial,
failed,
unreported,
analysis_failed
minutes_back
integer | null

Only return runs created within the last this-many minutes (1-10080, i.e. up to 7 days). Omit to search all time.

Required range: 1 <= x <= 10080
limit
integer
default:50

Maximum number of runs to return (1-200).

Required range: 1 <= x <= 200

Response

Successful Response

Response envelope for the simulation-run search endpoint.

simulation_runs
SimulationRunSearchItem · object[]
required

Matching runs, newest first.

total
integer
required

Number of runs returned.